import request from '@/utils/request'

/**
 * 查询资产赋权用户信息
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function findUserIdList(data) {
  return request({
    url: '/source/asset/findUserIdList',
    method: 'POST',
    data
  })
}
/**
 * 添加用户资产权限
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function addUserAssetImPower(data) {
  return request({
    url: '/source/asset/addUserAssetAccredit',
    method: 'POST',
    data
  })
}

/**
 * 删除用户资产权限
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function delUserAssetImPower(data) {
  return request({
    url: '/source/asset/delUserAssetAccredit',
    method: 'POST',
    data
  })
}

/**
 * 查询资产赋权部门信息
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function findDeptIdList(data) {
  return request({
    url: '/source/asset/findDeptIdList',
    method: 'POST',
    data
  })
}

/**
 * 添加部门资产权限
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function addDeptAssetImpower(data) {
  return request({
    url: '/source/asset/addDeptAssetAccredit',
    method: 'POST',
    data
  })
}

/**
 * 删除部门资产权限
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function delDeptAssetImpower(data) {
  return request({
    url: '/source/asset/delDeptAssetAccredit',
    method: 'POST',
    data
  })
}
